Bug 476399 - python-qpid-tests fails
python-qpid-tests fails
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-qpid (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Rafael H. Schloming
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-13 23:59 EST by Luke Macken
Modified: 2016-09-19 22:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:17:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2008-12-13 23:59:18 EST
Description of problem:

    [lmacken@tomservo ~]$ python-qpid-tests 
    Traceback (most recent call last):
      File "/usr/bin/python-qpid-tests", line 22, in <module>
        from qpid.testlib import testrunner
      File "/usr/lib/python2.5/site-packages/qpid/testlib.py", line 25, in <module>
        import qpid.client, qpid.spec, qmf.console
    ImportError: No module named qmf.console


Version-Release number of selected component (if applicable):

    python-qpid-0.3.722557-1.fc9.noarch
Comment 1 Jose Pedro Oliveira 2009-01-08 17:20:41 EST
The latest python-qpid release (python-qpid-0.4.728142-3.fc10; see #479212) corrects the qmf.console problem but still has problems:


----------
# rpm -q python-qpid
python-qpid-0.4.728142-3.fc10.noarch

# /usr/bin/python-qpid-tests
Traceback (most recent call last):
  File "/usr/bin/python-qpid-tests", line 32, in <module>
    if not testrunner.run(): sys.exit(1)
  File "/usr/lib/python2.5/site-packages/qpid/testlib.py", line 185, in run
    self._parseargs(args)
  File "/usr/lib/python2.5/site-packages/qpid/testlib.py", line 159, in _parseargs
    self.spec = qpid.spec.load(self.specfile, *self.errata)
  File "/usr/lib/python2.5/site-packages/qpid/spec.py", line 50, in load
    raise IOError("No such file or directory: '%s'" % name)
IOError: No such file or directory: '../specs/amqp.0-8.xml'

# rpm -ql amqp
/usr/share/amqp
/usr/share/amqp/amqp-dtx-preview.0-9.xml
/usr/share/amqp/amqp-errata.0-9.xml
/usr/share/amqp/amqp-nogen.0-9.xml
/usr/share/amqp/amqp.0-10-preview.xml
/usr/share/amqp/amqp.0-10-qpid-errata.xml
/usr/share/amqp/amqp.0-10.dtd
/usr/share/amqp/amqp.0-10.xml
/usr/share/amqp/amqp.0-8.xml
/usr/share/amqp/amqp.0-9.xml
/usr/share/amqp/cluster.0-8.xml
/usr/share/amqp/management-schema.xml
----------
Comment 2 Jose Pedro Oliveira 2009-01-08 17:50:12 EST
The problem is caused by the default value of SPEC_FOLDER (see file qpid/testlib.py line 55):

    SPEC_FOLDER = "../specs"

using command line option "-F" / "--spec-folder" to override this value causes another exception:

----------
# python-qpid-tests  -F /usr/share/amqp/
Traceback (most recent call last):
  File "/usr/bin/python-qpid-tests", line 32, in <module>
    if not testrunner.run(): sys.exit(1)
  File "/usr/lib/python2.5/site-packages/qpid/testlib.py", line 188, in run
    result = runner.run(self.testSuite())
  File "/usr/lib/python2.5/site-packages/qpid/testlib.py", line 182, in testSuite
    return unittest.defaultTestLoader.loadTestsFromNames(self.tests)
  File "/usr/lib64/python2.5/unittest.py", line 565, in loadTestsFromNames
    suites = [self.loadTestsFromName(name, module) for name in names]
  File "/usr/lib64/python2.5/unittest.py", line 533, in loadTestsFromName
    module = __import__('.'.join(parts_copy))
ImportError: No module named tests
----------
Comment 3 Bug Zapper 2009-06-09 23:25:14 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 14:17:11 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.